Package org.kapott.hbci.sepa.jaxb.pain_008_001_01

## Class PostalAddress5

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_008_001_01.PostalAddress5

    public class PostalAddress5
    extends java.lang.Object

Java class for PostalAddress5 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PostalAddress5">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="AdrLine" type="{urn:sepade:xsd:pain.008.001.01}Max70Text" maxOccurs="2"/>
             <element name="Ctry" type="{urn:sepade:xsd:pain.008.001.01}CountryCode"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.util.List<java.lang.String>` `adrLine`
`protected java.lang.String` `ctry`

### Constructor Summary

Constructors
`PostalAddress5()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<java.lang.String>` `getAdrLine()` Gets the value of the adrLine property.
`java.lang.String` `getCtry()` Gets the value of the ctry property.
`void` `setCtry​(java.lang.String value)` Sets the value of the ctry property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### adrLine

    protected java.util.List<java.lang.String> adrLine

#### ctry

    protected java.lang.String ctry

### Constructor Detail

#### PostalAddress5

    public PostalAddress5()

### Method Detail

#### getAdrLine

    public java.util.List<java.lang.String> getAdrLine()

Gets the value of the adrLine property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the adrLine property.

For example, to add a new item, do as follows:

        getAdrLine().add(newItem);

Objects of the following type(s) are allowed in the list `String`

#### getCtry

    public java.lang.String getCtry()

Gets the value of the ctry property.

Returns:
  possible object is `String`

#### setCtry

    public void setCtry​(java.lang.String value)

Sets the value of the ctry property.

Parameters:
  `value` - allowed object is `String`